<?xml version="1.0" encoding="UTF-8"?>
<launch>

    <include file="$(find-pkg-share box_bot_gazebo)/launch/start_world_simple.launch.py"/>

    <include file="$(find-pkg-share box_bot_gazebo)/launch/spawn.launch.xml">
            <arg name="box_bot_name" value="box_bot_1"/>
            <arg name="robot_file" value="box_bot.xacro"/>
            <arg name="x_spawn" value="0.5"/>
            <arg name="y_spawn" value="-1.5"/>
            <arg name="z_spawn" value="0.06"/>
            <arg name="roll_spawn" value="0.0"/>
            <arg name="pitch_spawn" value="0.0"/>
            <arg name="yaw_spawn" value="0.0"/>
    </include>

    <include file="$(find-pkg-share box_bot_gazebo)/launch/spawn.launch.xml">
            <arg name="box_bot_name" value="box_bot_2"/>
            <arg name="robot_file" value="box_bot.xacro"/>
            <arg name="x_spawn" value="1.1"/>
            <arg name="y_spawn" value="-1.5"/>
            <arg name="z_spawn" value="0.06"/>
            <arg name="roll_spawn" value="0.0"/>
            <arg name="pitch_spawn" value="0.0"/>
            <arg name="yaw_spawn" value="0.0"/>
    </include>

     <include file="$(find-pkg-share box_bot_gazebo)/launch/spawn.launch.xml">
            <arg name="box_bot_name" value="box_bot_3"/>
            <arg name="robot_file" value="box_bot.xacro"/>
            <arg name="x_spawn" value="1.7"/>
            <arg name="y_spawn" value="-1.5"/>
            <arg name="z_spawn" value="0.06"/>
            <arg name="roll_spawn" value="0.0"/>
            <arg name="pitch_spawn" value="0.0"/>
            <arg name="yaw_spawn" value="0.0"/>
    </include>

</launch>